
**Important Update Regarding HMAC File Server Version 2.6-Stable**

We've identified and resolved critical issues with the deduplication processes in **Version 2.6-Stable** of the HMAC File Server. This update brings significant improvements to ensure reliable deduplication and overall server performance.

**Impact:**
- **Resolved Deduplication Issues:** The deduplication feature in **Version 2.6-Stable** has been thoroughly tested and stabilized, ensuring consistent file integrity and optimal server performance.
- **Enhanced Stability:** Addressed previous unexpected behaviors, including lost links to files and incorrect file handling operations.

**Recommended Actions:**
- **Upgrade to Version 2.6-Stable:** If you are using any earlier version, we strongly recommend upgrading to **Version 2.6-Stable** to benefit from the latest fixes and improvements.
- **Rollback Not Required:** Users on older releases can upgrade without the need to rollback, as **Version 2.6-Stable** resolves all critical issues present in prior versions.

**What's New in Version 2.6-Stable:**
- **Deduplication Enhancements:**
  - **Reliable Deduplication:** Improved algorithms for accurate and efficient processing.
  - **Performance Optimizations:** Reduced resource consumption for faster deduplication.
- **Enhanced Features:**
  - **Robust Malware Scanning:** Integrated advanced scanning to ensure file safety.
  - **Enhanced Redis Support:** Improved performance with Redis for better caching.
  - **Better Configuration Options:** More flexible settings for customization.
- **Security Improvements:**
  - **Strengthened Authentication Mechanisms:** Safeguards against unauthorized access.
  - **Improved Data Encryption:** Advanced encryption standards for data at rest and in transit.

**Stay Updated:**
For detailed information on addressed issues, fixes, and enhancements introduced in **Version 2.6-Stable**, please visit our repositories:

- [Git uuxo.net](https://git.uuxo.net/uuxo/hmac-file-server)
- [GitHub](https://github.com/PlusOne/hmac-file-server)

We appreciate your patience and support as we continue improving HMAC File Server. **Version 2.6-Stable** reflects our commitment to delivering a reliable and efficient file server solution. Thank you for choosing HMAC File Server!